# Get all information about a specific affiliate

| HTTP method | Endpoint                                  |
| ----------- | ----------------------------------------- |
| **GET**     | **GET/v1/affiliates/{affiliate\_id}/all** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter     | Description                      |
| ------------- | -------------------------------- |
| affiliate\_id | The unique id for the affiliate. |

## Response body parameters <a href="#response-body-parameters-3" id="response-body-parameters-3"></a>

|                | Field                     | Type    | Description                                       |
| -------------- | ------------------------- | ------- | ------------------------------------------------- |
| affiliate      |                           |         |                                                   |
|                | id                        | integer | A string that uniquely identifies this affiliate. |
|                | first\_name               | string  | The first\_name of the this affiliate.            |
|                | last\_name                | string  | The last\_name of the this affiliate.             |
|                | email                     | string  | The email of the this affiliate.                  |
|                | company                   | string  | The company of the this affiliate.                |
|                | country                   | string  | The country of the affiliate’s physical address.  |
|                | status                    | string  | Affiliate's status.                               |
|                | instant\_message\_account | string  | Instant message account.                          |
|                | instant\_message\_type    | integer | Types of instant message.                         |
|                | manager\_id               | integer | Manager id.                                       |
|                | phone                     | string  | The phone number of the affiliate.                |
|                | website                   | string  |                                                   |
|                | create\_time              | integer | Create time.                                      |
| affiliate\_tag |                           |         |                                                   |
|                | id                        | integer | A string that uniquely identifies this tag.       |
|                | affiliate\_id             | integer | A string that uniquely identifies this affiliate. |
|                | name                      | string  | Tag name                                          |

## Example request <a href="#example-request-3" id="example-request-3"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliates/4866/all>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliates/4866/all>

## Example response <a href="#example-response-3" id="example-response-3"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_tag": [
          {
            "id": 21,
            "name": "Other",
            "affiliate_id": 4866
          },
          {
            "id": 22,
            "name": "FOOD",
            "affiliate_id": 4866
          }
        ],
        "affiliate": {
          "id": 4866,
          "email": "test@test.com",
          "first_name": "affiliate",
          "last_name": "test",
          "country": "Asia/Pacific Region",
          "status": "active",
          "website": "http://www.offerslook.com",
          "create_time": 1458650346,
          "company": "UC Union",
          "phone": "11122223333",
          "manager_id": 7,
          "instant_message_type": 3,
          "instant_message_account": "test@facebook.com"
        }
      }
    }
```
